Skip to main content
GET
/
agent_provider_exchanges
List agent provider exchanges
curl --request GET \
  --url https://api.akua.dev/v1/agent_provider_exchanges \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "workspace_id": "<string>",
      "organization_id": "<string>",
      "agent_id": "<string>",
      "session_id": "<string>",
      "turn_id": "<string>",
      "provider": "<string>",
      "model": "<string>",
      "fallback_from_model": "<string>",
      "fallback_reason": "<string>",
      "credential_secret_id": "<string>",
      "requested_at": 1,
      "responded_at": 1,
      "provider_cost_cents": 1,
      "provider_token_count": 1,
      "token_counts": {
        "input": 1,
        "output": 1,
        "total": 1
      },
      "message_summary": "<string>",
      "upstream_error_code": "<string>",
      "created_at": 1
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.akua.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Query Parameters

turn
string
required
Required string length: 1 - 54
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Agent provider exchange list

data
object[]
required
has_more
boolean
required

True if more items exist after this page.

next_cursor
string | null
required

Opaque cursor for the next page, or null if no more pages.